org.hibernate.validator.internal.metadata.provider

## Class AnnotationMetaDataProvider

- java.lang.Object
- - org.hibernate.validator.internal.metadata.provider.AnnotationMetaDataProvider

- All Implemented Interfaces:
    MetaDataProvider

      public class AnnotationMetaDataProvider
      extends Object
      implements MetaDataProvider

  `MetaDataProvider` which reads the metadata from annotations which is the default configuration source.
  Author:
    Gunnar Morling, Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationMetaDataProvider(ConstraintHelper constraintHelper, ParameterNameProvider parameterNameProvider, AnnotationProcessingOptions annotationProcessingOptions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationProcessingOptions` | `getAnnotationProcessingOptions()` Returns the annotation processing options as configured by this provider.
    `<T> List<BeanConfiguration<? super T>>` | `getBeanConfigurationForHierarchy(Class<T> beanClass)` Returns a list with the configurations for all types contained in the given type's hierarchy (including implemented interfaces) starting at the specified type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationMetaDataProvider

          public AnnotationMetaDataProvider(ConstraintHelper constraintHelper,
                                    ParameterNameProvider parameterNameProvider,
                                    AnnotationProcessingOptions annotationProcessingOptions)

  - ### Method Detail

    - #### getAnnotationProcessingOptions

          public AnnotationProcessingOptions getAnnotationProcessingOptions()

      Description copied from interface: `MetaDataProvider`
      Returns the annotation processing options as configured by this provider.
      Specified by:
        `getAnnotationProcessingOptions` in interface `MetaDataProvider`
      Returns:
        The annotation processing options as configured by this provider.

    - #### getBeanConfigurationForHierarchy

          public <T> List<BeanConfiguration<? super T>> getBeanConfigurationForHierarchy(Class<T> beanClass)

      Description copied from interface: `MetaDataProvider`
      Returns a list with the configurations for all types contained in the given type's hierarchy (including implemented interfaces) starting at the specified type.
      Specified by:
        `getBeanConfigurationForHierarchy` in interface `MetaDataProvider`
      Parameters:
        `beanClass` - The type of interest.
      Returns:
        A set with the configurations for the complete hierarchy of the given type. May be empty, but never `null`.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved